[polari] build: Minor updates



commit 7b3f2738e25f1554a3b013ef9ef6a65350348e23
Author: Florian Müllner <fmuellner gnome org>
Date:   Wed Sep 16 18:44:26 2015 +0200

    build: Minor updates
    
     - update autogen.sh according to the gnome-commons template
     - use AX_IS_RELEASE in configure
     - don't conditionalize AM_SILENT_RULES - AM_INIT_AUTOMAKE already
       requests 1.11
     - add 'check-news' to automake flags

 autogen.sh   |   22 +++++++++++-----------
 configure.ac |   17 +++++++++--------
 2 files changed, 20 insertions(+), 19 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index d7f0ffc..a5fa458 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,28 +1,28 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-(test -f $srcdir/configure.ac \
-  && test -d $srcdir/src) || {
-    echo -n "*** ERROR: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level polari directory"
+olddir=`pwd`
+
+cd $srcdir
+
+(test -f configure.ac) || {
+    echo "*** ERROR: Directory \`$srcdir' does not look like the" >&2
+    echo "*** top-level project directory" >&2
     exit 1
 }
 
 PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
 
-olddir=`pwd`
-
 if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
     echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
     echo "*** If you wish to pass any to it, please specify them on the" >&2
     echo "*** \`$0' command line." >&2
-    echo "" >&2
+    echo >&2
 fi
 
-cd $srcdir
 aclocal --install || exit 1
 intltoolize --force --copy --automake || exit 1
 autoreconf --verbose --force --install -Wno-portability || exit 1
@@ -33,7 +33,7 @@ if [ "$NOCONFIGURE" = "" ]; then
     $srcdir/configure "$@" || exit 1
 
     if [ "$1" = "--help" ]; then exit 0 else
-        echo "Now type \`make' to compile $PKG_NAME" || exit 1
+        echo "Now type \`make' to compile $PKG_NAME"
     fi
 else
     echo "Skipping configure process."
diff --git a/configure.ac b/configure.ac
index bc93478..7a9e5c7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,13 +1,14 @@
 AC_INIT([polari],[3.17.91],[https://bugzilla.gnome.org/enter_bug.cgi?product=polari],[polari])
+AX_IS_RELEASE([git-directory])
 
 AC_SUBST([APP_ID],[org.gnome.Polari])
 
 AC_CONFIG_MACRO_DIR([m4])
 AC_CONFIG_AUX_DIR([build-aux])
 
-m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES([yes])])
+AM_INIT_AUTOMAKE([1.11 check-news dist-xz no-dist-gzip tar-ustar foreign subdir-objects])
 
-AM_INIT_AUTOMAKE([1.11 dist-xz no-dist-gzip tar-ustar foreign subdir-objects])
+AM_SILENT_RULES([yes])
 AM_MAINTAINER_MODE([enable])
 
 GETTEXT_PACKAGE=AC_PACKAGE_NAME
@@ -45,12 +46,12 @@ AC_PATH_PROG(DESKTOP_FILE_VALIDATE, desktop-file-validate)
 APPSTREAM_XML
 
 AC_CONFIG_FILES([
-Makefile
-data/Makefile
-data/appdata/Makefile
-data/icons/Makefile
-po/Makefile.in
-src/Makefile
+  Makefile
+  data/Makefile
+  data/appdata/Makefile
+  data/icons/Makefile
+  po/Makefile.in
+  src/Makefile
 ])
 
 AC_OUTPUT


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]